Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## executing
Class Testing

    java.lang.Object
      executing.Testing

    public class Testing

extends java.lang.Object

Constructor Summary
`Testing()`

Method Summary
`static void` | `collectData()`
`static void` | `collectData(int id, int iteration, double begin, double end, double inc)`
`static void` | `collectData01()`
`static void` | `collectData04()`
`static void` | `collectData05()`
`static java.lang.String` | `convertDate(java.lang.String date)`
`static void` | `deleteJobs()`
`static void` | `eatCPU(double percentage, int forHowLong)`
`static void` | `executeCommand(java.lang.String command)`
`static void` | `main(java.lang.String[] args)`
`static void` | `startThreads()`
`static void` | `test(long iter, double beginRatio, double endRatio, double inc, java.lang.String hostname, java.lang.String password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Testing

    public Testing()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### eatCPU

    public static void eatCPU(double percentage,
                              int forHowLong)

  Parameters:
    `percentage` - To what percentage should the running of this method consumes from a core.
    `forHowLong` - How long in minutes to keep working.

### startThreads

    public static void startThreads()

### deleteJobs

    public static void deleteJobs()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeCommand

    public static void executeCommand(java.lang.String command)

### collectData

    public static void collectData(int id,
                                   int iteration,
                                   double begin,
                                   double end,
                                   double inc)

### collectData

    public static void collectData()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### collectData01

    public static void collectData01()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### collectData04

    public static void collectData04()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### collectData05

    public static void collectData05()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convertDate

    public static java.lang.String convertDate(java.lang.String date)
                                        throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### test

    public static void test(long iter,
                            double beginRatio,
                            double endRatio,
                            double inc,
                            java.lang.String hostname,
                            java.lang.String password)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD